GET /v1/automation/events
GET
/v1/automation/eventsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
event_typestringstatusstringlimitinteger<int32>min 1 · max 100 · default: 20
offsetinteger<int32>min 0 · default: 0
Responses
200OK
itemsEventItem[] | nullrequiredShow propertiesHide properties
Array of
EventItemchannel_idstringcontact_idstringconversation_idstringcreated_atstringrequireddedupe_keystringrequiredentity_idstringentity_typestringevent_typestringrequiredidstringrequiredmatched_atstringoccurred_atstringrequiredpayloadanymetaPaginationMetaShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>defaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/automation/events"const response = await fetch("/v1/automation/events", {
method: "GET"
});import requests
response = requests.get(
"/v1/automation/events",
)Response
{
"items": [
{
"channel_id": "string",
"contact_id": "string",
"conversation_id": "string",
"created_at": "string",
"dedupe_key": "string",
"entity_id": "string",
"entity_type": "string",
"event_type": "string",
"id": "string",
"matched_at": "string",
"occurred_at": "string",
"payload": "string"
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}